public Misc_LogFile(Handle plugin, numParams)
{
	char sPath[PLATFORM_MAX_PATH + 1];
	char sPath2[PLATFORM_MAX_PATH + 1];
	char sLevelPath[PLATFORM_MAX_PATH + 1];
	char sFile[PLATFORM_MAX_PATH + 1];
	char sFile2[PLATFORM_MAX_PATH + 1];
	char sDate[PLATFORM_MAX_PATH + 1];
	char sBuffer[1024];

	GetNativeString(1, sPath, sizeof(sPath));
	GetNativeString(2, sFile, sizeof(sFile));
	GetNativeString(3, sDate, sizeof(sDate));

	new LogLevel:iLevel = GetNativeCell(4);

	if(StrEqual(sPath, "", false))
	{
		BuildPath(Path_SM, sPath2, sizeof(sPath2), "logs");
	}
	else
	{
		BuildPath(Path_SM, sPath2, sizeof(sPath2), "logs/%s", sPath);
		
		if(!DirExists(sPath2))
		{
			CreateDirectory(sPath2, 755);
		}
	}

	if(iLevel < TRACE || iLevel > ERROR)
	{
		Format(sLevelPath, sizeof(sLevelPath), "%s", sPath2);
	}
	else
	{
		Format(sLevelPath, sizeof(sLevelPath), "%s/%s", sPath2, g_sLogLevel[iLevel]);
	}

	
	if(!DirExists(sLevelPath))
	{
		CreateDirectory(sLevelPath, 755);
	}

	if(StrEqual(sDate, "", false))
	{
		Format(sFile2, sizeof(sFile2), "%s/%s.log", sLevelPath, sFile);
	}
	else
	{
		Format(sFile2, sizeof(sFile2), "%s/%s_%s.log", sLevelPath, sFile, sDate);
	}

	FormatNativeString(0, 5, 6, sizeof(sBuffer), _, sBuffer);

	LogToFile(sFile2, sBuffer);
}

public Misc_GetLogLevel(Handle plugin, numParams)
{
	return _:g_iLogLevel;
}

public Misc_GetGame(Handle plugin, numParams)
{
	return _:g_iGame;
}

public Misc_GetTag(Handle plugin, numParams)
{
	SetNativeString(1, g_sTag, GetNativeCell(2), false);
}

public Misc_GetCleanTag(Handle plugin, numParams)
{
	SetNativeString(1, g_sCTag, GetNativeCell(2), false);
}

public Misc_GetAutoUpdate(Handle plugin, numParams)
{
	return _:g_iAutoUpdate;
}

public Misc_CheckGame(Handle plugin, numParams)
{
	if(Hosties3_GetGame() == Game_Unsupported)
	{
		SetFailState("Only Counter-Strike: Source and Global Offensive are supported!");
	}
}
