#pragma semicolon 1

#include <sourcemod>
#include <hosties3>

#define PLUGIN_NAME HOSTIES3_NAME ... "Test"

public Plugin:myinfo =
{
	name = PLUGIN_NAME,
	author = HOSTIES3_AUTHOR,
	version = HOSTIES3_VERSION,
	description = "Rewrite of SM_Hosties v2",
	url = HOSTIES3_URL
};

public Hosties3_OnPluginLoaded()
{
	RegConsoleCmd("sm_getctrules", Command_GetCTRules);
	RegConsoleCmd("sm_getrebel", Command_GetRebel);
}

public Action:Command_GetCTRules(client, args)
{
	if(Hosties3_GetClientCTRules(client))
	{
		PrintToChat(client, "You have accepted the ct rules!");
	}
	else
	{
		PrintToChat(client, "You haven't the ct rules accepted!");
	}
}

public Action:Command_GetRebel(client, args)
{
	if(Hosties3_IsClientRebel(client))
	{
		PrintToChat(client, "You are a rebel!");
	}
	else
	{
		PrintToChat(client, "You aren't a Rebel!");
	}
}
